Summary:	The Insidious Big Brother Database
Name:		bbdb
Version:	2.00.06
Release:	5mdk
License:	GPL
Group:		Editors

Source:		%name-%version.tar.bz2

URL:		http://pw2.netcom.com/~simmonmt/bbdb/index.html
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires:	emacs, xemacs

%description
BBDB is a rolodex-like database program for GNU Emacs which is tightly
integrated with the Emacs mail and news readers (GNUS, VM, MH-E, and
RMAIL.)

%prep

%setup -q

%build
%make all

%install
install -d %buildroot/%_datadir/emacs/site-lisp/
install -m 644 lisp/bbdb*.el %buildroot/%_datadir/emacs/site-lisp
install -m 644 lisp/bbdb*.elc %buildroot/%_datadir/emacs/site-lisp

install -d %buildroot%_infodir
install -m 644 texinfo/bbdb.info* %buildroot/%_infodir 

install -d %buildroot/%_datadir/emacs/etc
install -m 644 tex/{bbdb-print.tex,bbdb-cols.tex} %buildroot/%_datadir/emacs/etc/

install -d %buildroot/%_bindir
install -m 755 utils/*.pl %buildroot/%_bindir

%post
sbin/install-info %{_infodir}/bbdb.info.bz2 %{_infodir}/dir
sbin/install-info %{_infodir}/bbdb.info-1.bz2 %{_infodir}/dir
sbin/install-info %{_infodir}/bbdb.info-2.bz2 %{_infodir}/dir
sbin/install-info %{_infodir}/bbdb.info-3.bz2 %{_infodir}/dir

%postun
sbin/install-info --delete %{_infodir}/bbdb.info.bz2 %{_infodir}/dir
sbin/install-info --delete %{_infodir}/bbdb.info-1.bz2 %{_infodir}/dir
sbin/install-info --delete %{_infodir}/bbdb.info-2.bz2 %{_infodir}/dir
sbin/install-info --delete %{_infodir}/bbdb.info-3.bz2 %{_infodir}/dir

%files
%defattr (-,root,root)
%_datadir/emacs/site-lisp/*
%_datadir/emacs/etc/bbdb-print.tex
%_datadir/emacs/etc/bbdb-cols.tex
%_bindir/*
%doc %_infodir/*

%changelog
* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.00.06-5mdk
- Fix BuildRequires

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-4mdk
- fix url
- add install-info

* Tue Aug 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-3mdk
- macros
- BM

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-2mdk
- fix group
- fix sources permission

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-1mdk
- mandrake build
- v2.00.06
- updated the filelist 
